<?php

namespace NCSU\Jobs;

use Zend\Feed\Reader\Entry\EntryInterface;

class Job
{
    public $id;
    public $ouc;
    public $department;
    public $content;

    public static function fromAtom(EntryInterface $entry)
    {
        $author = $entry->getAuthor(0);
        $ouc = substr($author['name'], 0, 6);
        $department = substr($author['name'], 9);

        return new Job($entry->getId(), $ouc, $department, $entry->getContent());
    }

    private function __construct($id, $ouc, $department, $content)
    {
        $this->id = (string) $id;
        $this->ouc = (string) $ouc;
        $this->department = (string) $department;
        $this->content = (string) $content;
    }

    public function getPostingUrl()
    {
        return sprintf('http://jobs.ncsu.edu/postings/%s', $this->id);
    }
}
